Album: dog music
Date: May 25, 2021
Date Added: July 22, 2025
Artists:
- rj lake
Cover Artists:
- rj lake
Wallpaper Artists:
- An Airport for Aliens Currently Run by Dogs
Cover Art File Extension: png
Wallpaper File Extension: jpg
#Art Tags:
#-
URLs:
- https://spellmynamewithabang.bandcamp.com/album/dog-music
Color: '#ff5df6'
Groups:
- rj lake
- Beyond
Commentary: |-
    <i>rj lake:</i> ([Bandcamp about blurb](https://spellmynamewithabang.bandcamp.com/album/dog-music))
    (An Album Made by a Human Currently Named RJ Lake That Makes Up the Official Soundtrack for a Game by Strange Scaffold Called "An Airport for Aliens Currently Run by Dogs" and is Good Music for Humans Who Like Music That Sounds Like the Kind Dogs Would Make If They Did That Kind of Thing)

    this is the official soundtrack for AN AIRPORT FOR ALIENS CURRENTLY RUN BY DOGS, a video game by STRANGE SCAFFOLD about solving a cosmic relationship mystery and deciding whether you forgive piano crimes. you can buy it on steam here: https://store.steampowered.com/app/1246250/An_Airport_for_Aliens_Currently_Run_by_Dogs/

    <i>rj lake:</i> ([Apple Music cover art](https://music.apple.com/us/album/dog-music/1729088728))
    <img src="media/misc/dog-music-apple-music.png" width="250">
---
Track: finding others to find yourself
Duration: 2:15
URLs:
- https://spellmynamewithabang.bandcamp.com/track/finding-others-to-find-yourself
---
Track: let me tell you about you
Duration: 2:04
URLs:
- https://spellmynamewithabang.bandcamp.com/track/let-me-tell-you-about-you
---
Track: an eternal traveller for a few hours
Duration: 1:46
URLs:
- https://spellmynamewithabang.bandcamp.com/track/an-eternal-traveller-for-a-few-hours
---
Track: dogtoggle
Duration: 2:01
URLs:
- https://spellmynamewithabang.bandcamp.com/track/dogtoggle
---
Track: flying through space while both extremely drunk and existentially terrified
Duration: 3:45
URLs:
- https://spellmynamewithabang.bandcamp.com/track/flying-through-space-while-both-extremely-drunk-and-existentially-terrified
---
Track: complicated words like "darling"
Duration: 2:58
URLs:
- https://spellmynamewithabang.bandcamp.com/track/complicated-words-like-darling
---
Track: a big world where you are very small
Duration: 2:27
URLs:
- https://spellmynamewithabang.bandcamp.com/track/a-big-world-where-you-are-very-small
---
Track: doggdrasil
Duration: 2:17
URLs:
- https://spellmynamewithabang.bandcamp.com/track/doggdrasil
---
Track: please don't laugh at the very funny name
Duration: 2:17
URLs:
- https://spellmynamewithabang.bandcamp.com/track/please-dont-laugh-at-the-very-funny-name
---
Track: it's a doggy dog world
Duration: 2:59
URLs:
- https://spellmynamewithabang.bandcamp.com/track/its-a-doggy-dog-world-2
---
Track: on your way to your lovely weirdo
Duration: 2:35
URLs:
- https://spellmynamewithabang.bandcamp.com/track/on-your-way-to-your-lovely-weirdo
---
Track: definitely marinara sauce (not blood)
Duration: 2:12
URLs:
- https://spellmynamewithabang.bandcamp.com/track/definitely-marinara-sauce-not-blood
---
Track: CANDY PLANE!
Duration: 1:51
URLs:
- https://spellmynamewithabang.bandcamp.com/track/candy-plane-2
---
Track: roll credits
Duration: 2:25
URLs:
- https://spellmynamewithabang.bandcamp.com/track/roll-credits
---
Track: close at heart but worlds apart
Duration: 1:44
URLs:
- https://spellmynamewithabang.bandcamp.com/track/close-at-heart-but-worlds-apart

# has bonus tracks
